2017-11-20 02:06 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0013799CentOS-7anacondapublic2017-09-14 11:11
Reporterrudolf@palaticky.com 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionno change required 
Product Version 
Target VersionFixed in Version7.4.1708 
Summary0013799: LibreOffice is not installed with "GNOME Desktop" selection in 7.4-1708
DescriptionIf I remember correctly LibreOffice used to be part of this selection in 7.3-1611.
TagsNo tags attached.
abrt_hash
URL
Attached Files

-Relationships
+Relationships

-Notes

~0030048

tigalch (manager)

Libreoffice is a group on its own for both KDE- and GNOME-desktop. This always had to be selected seperatly.

~0030052

rudolf@palaticky.com (reporter)

strange, selected GNOME Desktop group in 7.3-1611 installer installs LibreOffice without explicitly selecting Office Suite group, but 7.4-1708 does not. Kisckstart scripts look the same on both.

~0030072

avij (manager)

While I can confirm that LibreOffice got installed in 7.3.1611 and does not in 7.4.1708 with the GNOME Desktop base environment and Office Suite and Productivity ("A full-purpose office suite, and other productivity tools") unselected, I would argue that the previous behaviour was a bug and has now been corrected. Previously it was impossible to get a GNOME desktop without LibreOffice, now it is possible.

That said, there is no guarantee that kickstart scripts would always work without modifications between point releases. Package names change and they have different dependencies, requiring some minor tweaks. If you want to install LibreOffice, you should add the Office Suite and Productivity group (office-suite) explicitly to your kickstart.

~0030073

rudolf@palaticky.com (reporter)

Makes sense. I also think that 7.4.1708 behavior is correct.

I guess we can close this bugreport.

~0030074

JohnnyHughes (administrator)

This is a different behaviour based on the new comps.xml group file, but it is consistent with installing from RHEL, so will not be modified. I also agree with Avij .. this is the likely preferred behaviour so that you can install a Gnome or KDE desktop and not have to get LibreOffice installed.

~0030075

tigalch (manager)

Closing as not an issue
+Notes

-Issue History
Date Modified Username Field Change
2017-09-13 17:56 rudolf@palaticky.com New Issue
2017-09-13 19:33 tigalch Note Added: 0030048
2017-09-13 21:10 rudolf@palaticky.com Note Added: 0030052
2017-09-14 10:53 avij Note Added: 0030072
2017-09-14 11:07 rudolf@palaticky.com Note Added: 0030073
2017-09-14 11:10 JohnnyHughes Status new => resolved
2017-09-14 11:10 JohnnyHughes Resolution open => no change required
2017-09-14 11:10 JohnnyHughes Note Added: 0030074
2017-09-14 11:11 tigalch Status resolved => closed
2017-09-14 11:11 tigalch Fixed in Version => 7.4.1708
2017-09-14 11:11 tigalch Note Added: 0030075
+Issue History